Create an account.
Create Account
/api/accounts Request
Body application/json
One of
typestringrequiredAllowed values:cardholderThe type of the account
namestringAccount name
partnerAccountIdstringrequiredThe id of the partner account that this cardholder must be linked to
ownerUserIdstringrequiredThis user will be set as the owner of the created account
typestringrequiredAllowed values:cardholderThe type of the account
namestringAccount name
parentAccountIdstringrequiredThe id of the partner account that this cardholder must be made child of
typestringrequiredAllowed values:partnerThe type of the account
namestringrequiredAccount name
parentAccountIdstringParent account. If provided, this account will be set as the parent of the created account
ownerUserIdstringOwner user id. If provided, this user will be set as the owner of the created account
Response
Account created successfully.
Body application/json
idstringThe unique account ID
versionstringThe resource version number.
createdAtstringTimestamp of account creation
modifiedAtstringTimestamp of last account modification
partnerAccountIdstringThe partner account ID that this account belongs to
isActivebooleanWhether the account is active or not
typestringAllowed values:cardholderidentitypartnerThe account type
livenessstringAllowed values:livetestThe resource liveness mode.
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
INVALID_PARTNER_ACCOUNT The provided partner account is not of type partner.
INVALID_PARENT_ACCOUNT The provided parent account is not of type partner.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring